using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] l = Console.ReadLine().Split();
            long A = long.Parse(l[0]);
            long B = long.Parse(l[1]);
            long C = long.Parse(l[2]);
            string As = Convert.ToString(A);
            string Bs = Convert.ToString(B);
            string Cs = Convert.ToString(C);
            string Broj1 = As + Bs + Cs;
            string Broj2 = As + Cs + Bs;
            string Broj3 = Bs + As + Cs;
            string Broj4 = Bs + Cs + As;
            string Broj5 = Cs + As + Bs;
            string Broj6 = Cs + Bs + As;
            string[] niz = new string[6];
            niz[0] = Broj1;
            niz[1] = Broj2;
            niz[2] = Broj3;
            niz[3] = Broj4;
            niz[4] = Broj5;
            niz[5] = Broj6;
            string max = "";            
            for (int i = 0; i < 6; i++)
            {
                int q = niz[i].CompareTo(max);
                if (q == 1)
                {
                    max = niz[i];
                }
            }
            Console.WriteLine(max);
            Console.ReadLine();
        }
    }
}